Name:		    nde-termwidget 
Version:	    0.0.1
Release:	    2%{?dist}
License:	    GPLv2+
Summary:	    Qt5 terminal widget
URL:		    http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  %{?fedora:cmake}%{!?fedora:cmake3} >= 3.0
BuildRequires:  pkgconfig(nde) >= 0.0.1
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:  nde-build-tools
BuildRequires:  qt5-qttools-devel

# Provide and Obsolete the old -qt5 name
Provides:       ndetermwidget-qt5 = %{version}-%{release}


%description
NDETermWidget is an open-source project originally based on KDE4 Konsole
application, but it took its own direction later.
The main goal of this project is to provide Unicode-enabled, embeddable
Qt widget for using as a built-in console (or terminal emulation widget)


%package	    devel
Summary:	    Qt5 terminal widget - devel package
Requires:	    %{name}%{?_isa} = %{version}-%{release}
Provides:       ndetermwidget-qt5-devel = %{version}-%{release}

%description	devel
Development files for nde-termwidget-qt5 library.


%package l10n
Summary:        Translations for nde-termwidget
Requires:       nde-termwidget

%description l10n
This package provides translations for the nde-termwidget package.

%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang ndetermwidget --with-qt

%ldconfig_scriptlets

%files
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%{_libdir}/libndetermwidget5.so.*
%{_datadir}/ndetermwidget5

%files devel
%{_includedir}/ndetermwidget5
%{_libdir}/libndetermwidget5.so
%{_libdir}/pkgconfig/ndetermwidget5.pc
%{_libdir}/cmake/ndetermwidget5


%files l10n -f ndetermwidget.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/ndetermwidget5/translations

%changelog
* Wed May 31 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-2
- 添加全部选择接口

* Fri May 15 2020 NewStart <os@gd-linux.com> - 0.0.1-1
- First release.
